PATCH
Cancel collateral withdrawal request
Cancel a collateral withdrawal request.
Path Params
-
accountIdstring requiredThe ID of the account -
requestIDstring uuid requiredThe ID of the withdrawal request
Responses
200
Updated collateral withdrawal request
Response Body
object
-
idstring uuid requiredUnique identifier for the withdrawal request -
accountIdstring requiredAccount ID associated with the withdrawal request -
enterpriseIdstring requiredEnterprise ID associated with the withdrawal request -
currencystring requiredCurrency symbol for the withdrawal -
quantitystring decimal requiredAmount requested for withdrawal -
statusstring enum requiredCurrent status of the withdrawal requestpendingapprovedrejectedcompletedcancelled -
createdBystring requiredUser who created the withdrawal request -
canceledBystring nullableUser who canceled the withdrawal request, if applicable -
creationDatestring date-time requiredTimestamp when the request was created -
modifiedDatestring date-time requiredTimestamp when the request was last modified
400
Bad request - Invalid path parameter format
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-